# Constant Field Values

## Contents

- org.globus.*
- org.gridforum.*

## org.globus.*

org.globus.axis.gsi.GSIConstants
Modifier and Type
Constant Field
Value
`public static final String`
`GSI_ANONYMOUS`
`"org.globus.gsi.anonymous"`
`public static final String`
`GSI_AUTH_USERNAME`
`"org.globus.gsi.authorized.user.name"`
`public static final String`
`GSI_AUTHORIZATION`
`"org.globus.gsi.authorization"`
`public static final String`
`GSI_CONTEXT`
`"org.globus.gsi.context"`
`public static final String`
`GSI_CREDENTIALS`
`"org.globus.gsi.credentials"`
`public static final String`
`GSI_MODE`
`"org.globus.gsi.mode"`
`public static final String`
`GSI_MODE_FULL_DELEG`
`"gsifull"`
`public static final String`
`GSI_MODE_LIMITED_DELEG`
`"gsilimited"`
`public static final String`
`GSI_MODE_NO_DELEG`
`"gsi"`
`public static final String`
`GSI_MODE_SSL`
`"ssl"`
`public static final String`
`GSI_USER_DN`
`"org.globus.gsi.authorized.user.dn"`

org.globus.axis.transport.GSIHTTPTransport
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TRANSPORT_NAME`
`"httpg"`
`public static final String`
`URL`
`"transport.url"`
org.globus.axis.transport.HTTPSTransport
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TRANSPORT_NAME`
`"https"`
org.globus.axis.transport.HTTPUtils
Modifier and Type
Constant Field
Value
`public static final String`
`DISABLE_CHUNKING`
`"transport.http.disableChunking"`

org.globus.common.CoGProperties
Modifier and Type
Constant Field
Value
`public static final String`
`BASEDN`
`"Mds-Vo-name=local, o=Grid"`
`public static final String`
`CERT_CACHE_LIFETIME`
`"org.globus.jglobus.cert.cache.lifetime"`
`public static final String`
`CONFIG_FILE`
`"cog.properties"`
`public static final String`
`CRL_CACHE_LIFETIME`
`"org.globus.jglobus.crl.cache.lifetime"`
`public static final String`
`DELEGATION_KEY_CACHE_LIFETIME`
`"org.globus.jglobus.delegation.cache.lifetime"`
`public static final String`
`ENFORCE_SIGNING_POLICY`
`"java.security.gsi.signing.policy"`
`public static final String`
`MDSHOST`
`"localhost"`
`public static final String`
`MDSPORT`
`"2135"`
`public static final String`
`NO_CACHE`
`"NoCache"`
`public static final String`
`THREADED_CACHE`
`"ThreadedCache"`
org.globus.common.ResourceManagerContact
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PORT`
`2119`
`public static final String`
`DEFAULT_SERVICE`
`"/jobmanager"`

org.globus.ftp.ByteRange
Modifier and Type
Constant Field
Value
`public static final int`
`ADJACENT`
`2`
`public static final int`
`THIS_ABOVE`
`5`
`public static final int`
`THIS_BELOW`
`1`
`public static final int`
`THIS_SUBSET`
`4`
`public static final int`
`THIS_SUPERSET`
`3`
org.globus.ftp.FeatureList
Modifier and Type
Constant Field
Value
`public static final String`
`ABUF`
`"ABUF"`
`public static final String`
`CKSUM`
`"CKSUM"`
`public static final String`
`DCAU`
`"DCAU"`
`public static final String`
`ERET`
`"ERET"`
`public static final String`
`ESTO`
`"ESTO"`
`public static final String`
`GETPUT`
`"GETPUT"`
`public static final String`
`MDTM`
`"MDTM"`
`public static final String`
`MODEX`
`"MODEX"`
`public static final String`
`PARALLEL`
`"PARALLEL"`
`public static final String`
`PIPE`
`"PIPE"`
`public static final String`
`SBUF`
`"SBUF"`
`public static final String`
`SIZE`
`"SIZE"`
org.globus.ftp.FileInfo
Modifier and Type
Constant Field
Value
`public static final byte`
`DEVICE_TYPE`
`0x4`
`public static final byte`
`DIRECTORY_TYPE`
`0x2`
`public static final byte`
`FILE_TYPE`
`0x1`
`public static final byte`
`SOFTLINK_TYPE`
`0x3`
`public static final int`
`UNKNOWN_NUMBER`
`-1`
`public static final String`
`UNKNOWN_STRING`
`"?"`
`public static final byte`
`UNKNOWN_TYPE`
`0x0`
org.globus.ftp.FileRandomIO
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUFFER_SIZE`
`16384`
org.globus.ftp.GridFTPSession
Modifier and Type
Constant Field
Value
`public static final int`
`MODE_EBLOCK`
`3`
`public static final int`
`PROTECTION_CLEAR`
`1`
`public static final int`
`PROTECTION_CONFIDENTIAL`
`3`
`public static final int`
`PROTECTION_PRIVATE`
`4`
`public static final int`
`PROTECTION_SAFE`
`2`
`public static final int`
`SERVER_EACT`
`4`
`public static final int`
`SERVER_EPAS`
`3`
org.globus.ftp.HostPort6
Modifier and Type
Constant Field
Value
`public static final String`
`IPv4`
`"1"`
`public static final String`
`IPv6`
`"2"`
org.globus.ftp.MlsxEntry
Modifier and Type
Constant Field
Value
`public static final String`
`CHARSET`
`"charset"`
`public static final String`
`CREATE`
`"create"`
`public static final String`
`ERROR`
`"error"`
`public static final String`
`ERROR_INVALIDLINK`
`"InvalidLink"`
`public static final String`
`ERROR_OPENFAILED`
`"OpenFailed"`
`public static final String`
`LANG`
`"lang"`
`public static final String`
`MEDIA_TYPE`
`"media-type"`
`public static final String`
`MODIFY`
`"modify"`
`public static final String`
`PERM`
`"perm"`
`public static final String`
`SIZE`
`"size"`
`public static final String`
`TYPE`
`"type"`
`public static final String`
`TYPE_CDIR`
`"cdir"`
`public static final String`
`TYPE_DIR`
`"dir"`
`public static final String`
`TYPE_FILE`
`"file"`
`public static final String`
`TYPE_PDIR`
`"pdir"`
`public static final String`
`TYPE_SLINK`
`"slink"`
`public static final String`
`UNIQUE`
`"unique"`
`public static final String`
`UNIX_GID`
`"unix.gid"`
`public static final String`
`UNIX_GROUP`
`"unix.group"`
`public static final String`
`UNIX_MODE`
`"unix.mode"`
`public static final String`
`UNIX_OWNER`
`"unix.owner"`
`public static final String`
`UNIX_SLINK`
`"unix.slink"`
`public static final String`
`UNIX_UID`
`"unix.uid"`
org.globus.ftp.PerfMarker
Modifier and Type
Constant Field
Value
`protected static final int`
`UNDEFINED`
`-1`
org.globus.ftp.Session
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_WAIT`
`300000`
`public static final int`
`DEFAULT_WAIT_DELAY`
`2000`
`public static final int`
`MODE_BLOCK`
`2`
`public static final int`
`MODE_STREAM`
`1`
`public static final int`
`SERVER_ACTIVE`
`2`
`public static final int`
`SERVER_DEFAULT`
`-1`
`public static final int`
`SERVER_PASSIVE`
`1`
`public static final int`
`TYPE_ASCII`
`2`
`public static final int`
`TYPE_EBCDIC`
`4`
`public static final int`
`TYPE_IMAGE`
`1`
`public static final int`
`TYPE_LOCAL`
`3`

org.globus.ftp.dc.ActiveStartTransferTask
Modifier and Type
Constant Field
Value
`protected static final int`
`RETR`
`2`
`protected static final int`
`STOR`
`1`
org.globus.ftp.dc.EBlockAware
Modifier and Type
Constant Field
Value
`public static final int`
`EOD`
`8`
`public static final int`
`EOF`
`64`
`public static final int`
`WILL_CLOSE`
`4`
org.globus.ftp.dc.EBlockParallelTransferContext
Modifier and Type
Constant Field
Value
`public static final int`
`UNDEFINED`
`-1`
org.globus.ftp.dc.ManagedSocketBox
Modifier and Type
Constant Field
Value
`public static final int`
`BUSY`
`2`
`public static final int`
`FREE`
`1`
`public static final boolean`
`NON_REUSABLE`
`false`
`public static final boolean`
`REUSABLE`
`true`
org.globus.ftp.dc.StreamImageDCReader
Modifier and Type
Constant Field
Value
`public static final int`
`BUF_SIZE`
`512000`

org.globus.ftp.exception.ClientException
Modifier and Type
Constant Field
Value
`public static final int`
`BAD_MODE`
`8`
`public static final int`
`BAD_SERVER_MODE`
`5`
`public static final int`
`BAD_TYPE`
`13`
`public static final int`
`CALL_PASSIVE_FIRST`
`10`
`public static final int`
`LOCAL_TRANSFER`
`11`
`public static final int`
`MARK_NOT_SUPPORTED`
`9`
`public static final int`
`NOT_AUTHORIZED`
`1`
`public static final int`
`OTHER`
`15`
`public static final int`
`PBSZ_DIFFER`
`2`
`public static final int`
`REPLY_TIMEOUT`
`6`
`public static final int`
`SOCKET_OP_FAILED`
`14`
`public static final int`
`THREAD_KILLED`
`7`
`public static final int`
`TRANSFER_MODE_DIFFER`
`3`
`public static final int`
`TRANSFER_TYPE_DIFFER`
`4`
`public static final int`
`UNKNOWN_HOST`
`12`
org.globus.ftp.exception.DataChannelException
Modifier and Type
Constant Field
Value
`public static final int`
`BAD_SERVER_MODE`
`2`
`public static final int`
`UNDEFINED_SERVER_MODE`
`1`
org.globus.ftp.exception.FTPException
Modifier and Type
Constant Field
Value
`public static final int`
`UNSPECIFIED`
`0`
org.globus.ftp.exception.FTPReplyParseException
Modifier and Type
Constant Field
Value
`public static final int`
`FIRST_3_CHARS`
`2`
`public static final int`
`MESSAGE_UNPARSABLE`
`4`
`public static final int`
`STRING_TOO_SHORT`
`1`
`public static final int`
`UNEXPECTED_4TH_CHAR`
`3`
org.globus.ftp.exception.PerfMarkerException
Modifier and Type
Constant Field
Value
`public static final int`
`NO_SUCH_PARAMETER`
`1`
org.globus.ftp.exception.ServerException
Modifier and Type
Constant Field
Value
`public static final int`
`PREVIOUS_TRANSFER_ACTIVE`
`5`
`public static final int`
`REPLY_TIMEOUT`
`4`
`public static final int`
`SERVER_REFUSED`
`1`
`public static final int`
`UNSUPPORTED_FEATURE`
`3`
`public static final int`
`WRONG_PROTOCOL`
`2`

org.globus.ftp.extended.GridFTPControlChannel
Modifier and Type
Constant Field
Value
`protected static final int`
`TIMEOUT`
`120000`

org.globus.ftp.vanilla.BasicClientControlChannel
Modifier and Type
Constant Field
Value
`public static final int`
`WAIT_FOREVER`
`-1`
org.globus.ftp.vanilla.FTPControlChannel
Modifier and Type
Constant Field
Value
`public static final String`
`CRLF`
`"\r\n"`
org.globus.ftp.vanilla.FTPServerFacade
Modifier and Type
Constant Field
Value
`public static final int`
`ANY_PORT`
`0`
`public static final int`
`DEFAULT_QUEUE`
`100`
org.globus.ftp.vanilla.Reply
Modifier and Type
Constant Field
Value
`public static final int`
`PERMANENT_NEGATIVE_COMPLETION`
`5`
`public static final int`
`POSITIVE_COMPLETION`
`2`
`public static final int`
`POSITIVE_INTERMEDIATE`
`3`
`public static final int`
`POSITIVE_PRELIMINARY`
`1`
`public static final int`
`TRANSIENT_NEGATIVE_COMPLETION`
`4`
org.globus.ftp.vanilla.TransferMonitor
Modifier and Type
Constant Field
Value
`public static final int`
`LOCAL`
`1`
`public static final int`
`REMOTE`
`2`

org.globus.gram.GramAttributes
Modifier and Type
Constant Field
Value
`public static final int`
`JOBTYPE_CONDOR`
`4`
`public static final int`
`JOBTYPE_MPI`
`3`
`public static final int`
`JOBTYPE_MULTIPLE`
`2`
`public static final int`
`JOBTYPE_SINGLE`
`1`
org.globus.gram.GramException
Modifier and Type
Constant Field
Value
`public static final int`
`CUSTOM_ERROR`
`9999`
`public static final int`
`ERROR_JOB_CONTACT_NOT_SET`
`1003`
`public static final int`
`INIT_CALLBACK_HANDLER_FAILED`
`1000`
`public static final int`
`SUCCESS`
`0`

org.globus.gram.internal.GRAMConstants
Modifier and Type
Constant Field
Value
`public static final int`
`SIGNAL_CANCEL`
`1`
`public static final int`
`SIGNAL_COMMIT_END`
`10`
`public static final int`
`SIGNAL_COMMIT_EXTEND`
`6`
`public static final int`
`SIGNAL_COMMIT_REQUEST`
`5`
`public static final int`
`SIGNAL_PRIORITY`
`4`
`public static final int`
`SIGNAL_RESUME`
`3`
`public static final int`
`SIGNAL_STDIO_SIZE`
`8`
`public static final int`
`SIGNAL_STDIO_UPDATE`
`7`
`public static final int`
`SIGNAL_STOP_MANAGER`
`9`
`public static final int`
`SIGNAL_SUSPEND`
`2`
`public static final int`
`STATUS_ACTIVE`
`2`
`public static final int`
`STATUS_ALL`
`65535`
`public static final int`
`STATUS_DONE`
`8`
`public static final int`
`STATUS_FAILED`
`4`
`public static final int`
`STATUS_PENDING`
`1`
`public static final int`
`STATUS_STAGE_IN`
`64`
`public static final int`
`STATUS_STAGE_OUT`
`128`
`public static final int`
`STATUS_SUSPENDED`
`16`
`public static final int`
`STATUS_UNSUBMITTED`
`32`
org.globus.gram.internal.GRAMProtocol
Modifier and Type
Constant Field
Value
`public static final String`
`APPLICATION`
`"application/x-globus-gram"`
`public static final String`
`CALLBACK_URL`
`"callback-url: "`
`public static final String`
`CANCEL`
`"cancel"`
`public static final int`
`GRAM_PROTOCOL_VERSION`
`2`
`public static final String`
`JOB_STATE_MASK`
`"job-state-mask: "`
`public static final String`
`PROTOCOL_VERSION`
`"protocol-version: "`
`public static final String`
`PROTOCOL_VERSION_LINE`
`"protocol-version: 2\r\n"`
`public static final String`
`REGISTER`
`"register"`
`public static final String`
`RENEW`
`"renew"`
`public static final String`
`RSL`
`"rsl: "`
`public static final String`
`SIGNAL`
`"signal"`
`public static final String`
`STATUS`
`"status"`
`public static final String`
`UNREGISTER`
`"unregister"`
org.globus.gram.internal.GRAMProtocolErrorConstants
Modifier and Type
Constant Field
Value
`public static final int`
`ARG_FILE_CREATION_FAILED`
`22`
`public static final int`
`BAD_ARGUMENTS`
`46`
`public static final int`
`BAD_DIRECTORY`
`4`
`public static final int`
`BAD_GATEKEEPER_CONTACT`
`96`
`public static final int`
`BAD_RSL`
`48`
`public static final int`
`BAD_RSL_ENVIRONMENT`
`40`
`public static final int`
`BAD_SCRIPT_ARG_FILE`
`21`
`public static final int`
`CALLBACK_NOT_FOUND`
`95`
`public static final int`
`CLIENT_CONTACT_NOT_FOUND`
`78`
`public static final int`
`COMMIT_TIMED_OUT`
`111`
`public static final int`
`CONNECTION_FAILED`
`12`
`public static final int`
`DELEGATION_FAILED`
`157`
`public static final int`
`DRYRUN`
`41`
`public static final int`
`DUCT_INIT_FAILED`
`33`
`public static final int`
`DUCT_LSP_FAILED`
`34`
`public static final int`
`ERROR_AUTHORIZATION`
`7`
`public static final int`
`ERROR_CONNECTION_FAILED`
`12`
`public static final int`
`ERROR_CONTACTING_JOB_MANAGER`
`79`
`public static final int`
`ERROR_CREATING_PIPE`
`67`
`public static final int`
`ERROR_FCNTL_FAILED`
`68`
`public static final int`
`ERROR_FORKING_EXECUTABLE`
`71`
`public static final int`
`ERROR_INSERTING_CLIENT_CONTACT`
`77`
`public static final int`
`ERROR_OPENING_CACHE`
`76`
`public static final int`
`ERROR_OPENING_CACHE_USER_PROXY`
`75`
`public static final int`
`ERROR_OPENING_JOBMANAGER_SCRIPT`
`66`
`public static final int`
`ERROR_OPENING_STDERR`
`74`
`public static final int`
`ERROR_OPENING_STDOUT`
`73`
`public static final int`
`ERROR_PROTOCOL_FAILED`
`10`
`public static final int`
`ERROR_RSL_PARADYN`
`60`
`public static final int`
`ERROR_RSL_PROJECT`
`61`
`public static final int`
`ERROR_RSL_QUEUE`
`62`
`public static final int`
`ERROR_RSL_STDERR`
`63`
`public static final int`
`ERROR_RSL_STDIN`
`64`
`public static final int`
`ERROR_RSL_STDOUT`
`65`
`public static final int`
`ERROR_SERVICE_NOT_FOUND`
`93`
`public static final int`
`ERROR_SIGNALING_JOB`
`107`
`public static final int`
`ERROR_STAGING_EXECUTABLE`
`43`
`public static final int`
`ERROR_STAGING_STDIN`
`44`
`public static final int`
`ERROR_STDERR_FILENAME_FAILED`
`70`
`public static final int`
`ERROR_STDOUT_FILENAME_FAILED`
`69`
`public static final int`
`EXECUTABLE_NOT_FOUND`
`5`
`public static final int`
`EXECUTABLE_PERMISSIONS`
`72`
`public static final int`
`EXECUTABLE_UNDEFINED`
`81`
`public static final int`
`GATEKEEPER_MISCONFIGURED`
`47`
`public static final int`
`HTTP_UNFRAME_FAILED`
`89`
`public static final int`
`HTTP_UNPACK_FAILED`
`91`
`public static final int`
`INALID_REQUEST`
`2`
`public static final int`
`INSUFFICIENT_FUNDS`
`6`
`public static final int`
`INVALID_COUNT`
`14`
`public static final int`
`INVALID_HOST_COUNT`
`35`
`public static final int`
`INVALID_JOB_CONTACT`
`80`
`public static final int`
`INVALID_JOB_MANAGER_TYPE`
`45`
`public static final int`
`INVALID_JOB_QUERY`
`92`
`public static final int`
`INVALID_JOBSTATUS`
`23`
`public static final int`
`INVALID_JOBTYPE`
`19`
`public static final int`
`INVALID_MAX_CPU_TIME`
`104`
`public static final int`
`INVALID_MAX_MEMORY`
`87`
`public static final int`
`INVALID_MAX_WALL_TIME`
`102`
`public static final int`
`INVALID_MAXTIME`
`13`
`public static final int`
`INVALID_MIN_MEMORY`
`86`
`public static final int`
`INVALID_MYJOB`
`20`
`public static final int`
`INVALID_PARADYN`
`18`
`public static final int`
`INVALID_PROJECT`
`38`
`public static final int`
`INVALID_QUEUE`
`37`
`public static final int`
`INVALID_SCRIPT_REPLY`
`24`
`public static final int`
`INVALID_SCRIPT_STATUS`
`25`
`public static final int`
`JM_FAILED_ALLOW_ATTACH`
`16`
`public static final int`
`JOB_CANCEL_FAILED`
`31`
`public static final int`
`JOB_CONTACT_NOT_FOUND`
`156`
`public static final int`
`JOB_EXECUTION_FAILED`
`17`
`public static final int`
`JOB_QUERY_DENIAL`
`94`
`public static final int`
`MALLOC_FAILED`
`32`
`public static final int`
`MPI_NOT_SUPPORTED`
`26`
`public static final int`
`NO_RESOURCES`
`3`
`public static final int`
`NULL_SPECIFICATION_TREE`
`15`
`public static final int`
`PARAMETER_NOT_SUPPORTED`
`1`
`public static final int`
`PROTOCOL_FAILED`
`10`
`public static final int`
`PROXY_FILE_OPEN_FAILED`
`30`
`public static final int`
`RSL_ARGUMENTS`
`50`
`public static final int`
`RSL_COUNT`
`51`
`public static final int`
`RSL_DIRECTORY`
`52`
`public static final int`
`RSL_DRYRUN`
`53`
`public static final int`
`RSL_ENVIRONMENT`
`54`
`public static final int`
`RSL_EVALUATION_FAILED`
`39`
`public static final int`
`RSL_EXECUTABLE`
`55`
`public static final int`
`RSL_HOST_COUNT`
`56`
`public static final int`
`RSL_JOBTYPE`
`57`
`public static final int`
`RSL_MAXTIME`
`58`
`public static final int`
`RSL_MYJOB`
`59`
`public static final int`
`STDIN_NOT_FOUND`
`11`
`public static final int`
`SYSTEM_CANCELLED`
`9`
`public static final int`
`TEMP_SCRIPT_FILE_FAILED`
`28`
`public static final int`
`UNIMPLEMENTED`
`27`
`public static final int`
`UNKNOWN_SIGNAL_TYPE`
`108`
`public static final int`
`UNSUPPORTED_PARAMETER`
`36`
`public static final int`
`USER_CANCELLED`
`8`
`public static final int`
`USER_PROXY_NOT_FOUND`
`29`
`public static final int`
`VERSION_MISMATCH`
`49`
`public static final int`
`WAITING_FOR_COMMIT`
`110`
`public static final int`
`ZERO_LENGTH_RSL`
`42`

org.globus.gsi.GlobusCredentialException
Modifier and Type
Constant Field
Value
`public static final int`
`DEFECTIVE`
`2`
`public static final int`
`EXPIRED`
`1`
`public static final int`
`FAILURE`
`-1`
`public static final int`
`IO_ERROR`
`3`
`public static final int`
`SEC_ERROR`
`3`
org.globus.gsi.GSIConstants
Modifier and Type
Constant Field
Value
`public static final String`
`AUTHZ_REQUIRED_WITH_DELEGATION`
`"org.globus.security.authz.required.delegation"`
`public static final int`
`CA`
`4`
`public static final char`
`DELEGATION_CHAR`
`'D'`
`public static final int`
`DELEGATION_FULL`
`3`
`public static final int`
`DELEGATION_LIMITED`
`2`
`public static final int`
`DELEGATION_NONE`
`1`
`public static final int`
`EEC`
`3`
`public static final int`
`GSI_2_LIMITED_PROXY`
`11`
`public static final int`
`GSI_2_PROXY`
`10`
`public static final int`
`GSI_3_IMPERSONATION_PROXY`
`14`
`public static final int`
`GSI_3_INDEPENDENT_PROXY`
`13`
`public static final int`
`GSI_3_LIMITED_PROXY`
`15`
`public static final int`
`GSI_3_RESTRICTED_PROXY`
`12`
`public static final int`
`GSI_4_IMPERSONATION_PROXY`
`18`
`public static final int`
`GSI_4_INDEPENDENT_PROXY`
`17`
`public static final int`
`GSI_4_LIMITED_PROXY`
`19`
`public static final int`
`GSI_4_RESTRICTED_PROXY`
`16`
`public static final String`
`GSI_TRANSPORT`
`"org.globus.security.transport.type"`
`public static final String`
`TRUSTED_CERTIFICATES`
`"org.globus.security.trustedCertifictes"`
org.globus.gsi.OpenSSLKeyConstants
Modifier and Type
Constant Field
Value
`public static final int`
`AES_128_CBC_IV_LENGTH`
`16`
`public static final int`
`AES_128_CBC_KEY_LENGTH`
`16`
`public static final int`
`AES_192_CBC_IV_LENGTH`
`16`
`public static final int`
`AES_192_CBC_KEY_LENGTH`
`24`
`public static final int`
`AES_256_CBC_IV_LENGTH`
`16`
`public static final int`
`AES_256_CBC_KEY_LENGTH`
`32`
`public static final int`
`DES_CBC_IV_LENGTH`
`8`
`public static final int`
`DES_CBC_KEY_LENGTH`
`8`
`public static final int`
`DES_EDE3_CBC_IV_LENGTH`
`8`
`public static final int`
`DES_EDE3_CBC_KEY_LENGTH`
`24`
org.globus.gsi.SigningPolicyParser
Modifier and Type
Constant Field
Value
`public static final String`
`ACCESS_ID_CA`
`"access_id_CA"`
`public static final String`
`ACCESS_ID_PREFIX`
`"access_id_"`
`public static final String`
`CONDITION_PREFIX`
`"cond_"`
`public static final String`
`CONDITION_SUBJECT`
`"cond_subjects"`
`public static final String`
`DEF_AUTH_GLOBUS`
`"globus"`
`public static final String`
`DEF_AUTH_X509`
`"X509"`
`public static final String`
`NEG_RIGHTS`
`"neg_rights"`
`public static final String`
`POS_RIGHTS`
`"pos_rights"`
`public static final String`
`SINGLE_CHAR`
`"?"`
`public static final String`
`SINGLE_PATTERN`
`"[\\p{Print}\\p{Blank}]"`
`public static final String`
`VALUE_CA_SIGN`
`"CA:sign"`
`public static final String`
`WILDCARD`
`"*"`
`public static final String`
`WILDCARD_PATTERN`
`"[\\p{Print}\\p{Blank}]*"`
org.globus.gsi.TrustedCertificates
Modifier and Type
Constant Field
Value
`public static final String`
`SIGNING_POLICY_FILE_SUFFIX`
`".signing_policy"`
org.globus.gsi.X509Credential
Modifier and Type
Constant Field
Value
`public static final int`
`BUFFER_SIZE`
`2147483647`

org.globus.gsi.gssapi.GlobusGSSContextImpl
Modifier and Type
Constant Field
Value
`public static final int`
`GSI_WRAP`
`26`
org.globus.gsi.gssapi.GlobusGSSException
Modifier and Type
Constant Field
Value
`public static final int`
`BAD_ARGUMENT`
`7`
`public static final int`
`BAD_MIC`
`33`
`public static final int`
`BAD_NAME`
`25`
`public static final int`
`BAD_OPTION`
`101`
`public static final int`
`BAD_OPTION_TYPE`
`100`
`public static final int`
`CREDENTIAL_ERROR`
`27`
`public static final int`
`DELEGATION_ERROR`
`30`
`public static final int`
`PROXY_VIOLATION`
`5`
`public static final int`
`TOKEN_FAIL`
`29`
`public static final int`
`UNKNOWN`
`102`
`public static final int`
`UNKNOWN_OPTION`
`37`
org.globus.gsi.gssapi.GSSConstants
Modifier and Type
Constant Field
Value
`public static final int`
`GSI_BIG`
`1`
org.globus.gsi.gssapi.KeyPairCache
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ALGORITHM`
`"RSA"`
`public static final String`
`DEFAULT_PROVIDER`
`"BC"`

org.globus.gsi.gssapi.net.GssSocket
Modifier and Type
Constant Field
Value
`public static final int`
`GSI_MODE`
`2`
`public static final int`
`SSL_MODE`
`1`

org.globus.gsi.provider.GlobusProvider
Modifier and Type
Constant Field
Value
`public static final String`
`CERT_PATH_VALIDATOR_TYPE`
`"X509ProxyPath"`
`public static final String`
`CERTSTORE_TYPE`
`"PEMFilebasedCertStore"`
`public static final String`
`KEYSTORE_TYPE`
`"PEMFilebasedKeyStore"`
`public static final String`
`PROVIDER_NAME`
`"Globus"`
`public static final String`
`TRUSTMANAGER_TYPE`
`"GlobusTrustManager"`

org.globus.gsi.provider.simple.SimpleMemoryProvider
Modifier and Type
Constant Field
Value
`public static final String`
`CERTSTORE_TYPE`
`"SimpleMemoryCertStore"`
`public static final String`
`KEYSTORE_TYPE`
`"SimpleMemoryKeyStore"`
`public static final String`
`PROVIDER_NAME`
`"Simple"`

org.globus.gsi.proxy.ProxyPathValidatorException
Modifier and Type
Constant Field
Value
`public static final int`
`EXPIRED_CRL`
`8`
`public static final int`
`FAILURE`
`-1`
`public static final int`
`LIMITED_PROXY_ERROR`
`7`
`public static final int`
`NO_SIGNING_POLICY`
`10`
`public static final int`
`NO_SIGNING_POLICY_FILE`
`9`
`public static final int`
`PATH_LENGTH_EXCEEDED`
`3`
`public static final int`
`PROXY_VIOLATION`
`1`
`public static final int`
`REVOKED`
`6`
`public static final int`
`SIGNING_POLICY_VIOLATION`
`11`
`public static final int`
`UNKNOWN_CA`
`4`
`public static final int`
`UNKNOWN_POLICY`
`5`
`public static final int`
`UNSUPPORTED_EXTENSION`
`2`

org.globus.gsi.stores.PEMKeyStore
Modifier and Type
Constant Field
Value
`public static final String`
`CERTIFICATE_FILENAME`
`"certificateFilename"`
`public static final String`
`DEFAULT_DIRECTORY_KEY`
`"default_directory"`
`public static final String`
`DIRECTORY_LIST_KEY`
`"directory_list"`
`public static final String`
`KEY_FILENAME`
`"keyFilename"`
`public static final String`
`PROXY_FILENAME`
`"proxyFilename"`

org.globus.gsi.trustmanager.X509ProxyCertPathValidator
Modifier and Type
Constant Field
Value
`public static final String`
`BASIC_CONSTRAINT_OID`
`"2.5.29.19"`
`public static final String`
`KEY_USAGE_OID`
`"2.5.29.15"`

org.globus.gsi.util.CertificateIOUtil
Modifier and Type
Constant Field
Value
`public static final String`
`CERT_FOOTER`
`"-----END CERTIFICATE-----"`
`public static final String`
`CERT_HEADER`
`"-----BEGIN CERTIFICATE-----"`
`public static final String`
`KEY_FOOTER`
`"-----END RSA PRIVATE KEY-----"`
`public static final String`
`KEY_HEADER`
`"-----BEGIN RSA PRIVATE KEY-----"`
`public static final int`
`LINE_LENGTH`
`64`
`public static final String`
`LINE_SEP`
`"\n"`

org.globus.io.gass.server.GassServer
Modifier and Type
Constant Field
Value
`public static final int`
`CLIENT_SHUTDOWN_ENABLE`
`128`
`public static final int`
`READ_ENABLE`
`8`
`public static final String`
`SHUTDOWN_STR`
`"/dev/globus_gass_client_shutdown"`
`public static final int`
`STDERR_ENABLE`
`64`
`public static final int`
`STDOUT_ENABLE`
`32`
`public static final int`
`WRITE_ENABLE`
`16`
org.globus.io.gass.server.RemoteGassServer
Modifier and Type
Constant Field
Value
`public static final int`
`LINE_BUFFER_ENABLE`
`256`
`public static final int`
`TILDE_EXPAND_ENABLE`
`512`
`public static final int`
`USER_EXPAND_ENABLE`
`1024`

org.globus.io.urlcopy.UrlCopy
Modifier and Type
Constant Field
Value
`public static final int`
`BUFF_SIZE`
`2048`

org.globus.myproxy.MyProxy
Modifier and Type
Constant Field
Value
`public static final int`
`CHANGE_PASSWORD`
`4`
`public static final int`
`DEFAULT_KEYBITS`
`2048`
`public static final int`
`DEFAULT_PORT`
`7512`
`public static final int`
`DESTROY_PROXY`
`3`
`public static final int`
`GET_PROXY`
`0`
`public static final int`
`GET_TRUSTROOTS`
`7`
`public static final int`
`INFO_PROXY`
`2`
`public static final int`
`MIN_PASSWORD_LENGTH`
`6`
`public static final String`
`MYPROXY_PROTOCOL_VERSION`
`"MYPROXYv2"`
`public static final int`
`PUT_PROXY`
`1`
`public static final int`
`RETRIEVE_CREDENTIAL`
`6`
`public static final int`
`STORE_CREDENTIAL`
`5`
`public static final String`
`version`
`"2.0"`
org.globus.myproxy.MyProxyCLI
Modifier and Type
Constant Field
Value
`public static final int`
`CRED_LIFETIME_HOURS`
`168`
`public static final int`
`MATCH_CN_ONLY`
`0`
`public static final int`
`MYPROXY_SERVER_PORT`
`7512`
`public static final int`
`PORTAL_LIFETIME_HOURS`
`12`
`public static final int`
`REGULAR_EXP`
`1`
org.globus.myproxy.MyProxyConstants
Modifier and Type
Constant Field
Value
`public static final String`
`COMMAND`
`"COMMAND="`
`public static final String`
`CRED_DESC`
`"CRED_DESC="`
`public static final String`
`CRED_NAME`
`"CRED_NAME="`
`public static final String`
`CRED_RETRIEVER_TRUSTED`
`"CRED_RETRIEVER_TRUSTED="`
`public static final String`
`CRLF`
`"\n"`
`public static final int`
`DEFAULT_LIFETIME`
`43200`
`public static final String`
`LIFETIME`
`"LIFETIME="`
`public static final int`
`MIN_PASSWORD_LENGTH`
`6`
`public static final String`
`MYPROXY_PROTOCOL_VERSION`
`"MYPROXYv2"`
`public static final String`
`NEW_PHRASE`
`"NEW_PHRASE="`
`public static final String`
`PASSPHRASE`
`"PASSPHRASE="`
`public static final String`
`RENEWER`
`"RENEWER="`
`public static final String`
`RETRIEVER`
`"RETRIEVER="`
`public static final String`
`TRUSTROOTS`
`"TRUSTED_CERTS="`
`public static final String`
`USERNAME`
`"USERNAME="`
`public static final String`
`VERSION`
`"VERSION=MYPROXYv2"`
`public static final String`
`VOMSES`
`"VOMSES="`
`public static final String`
`VONAME`
`"VONAME="`

org.globus.net.BaseServer
Modifier and Type
Constant Field
Value
`public static final int`
`SO_TIMEOUT`
`300000`
org.globus.net.GSIHttpURLConnection
Modifier and Type
Constant Field
Value
`public static final int`
`PORT`
`8443`
org.globus.net.GSIURLConnection
Modifier and Type
Constant Field
Value
`public static final String`
`GSS_MODE_PROPERTY`
`"gssMode"`
org.globus.net.PortRange
Modifier and Type
Constant Field
Value
`protected static final byte`
`UNUSED`
`0x0`
`protected static final byte`
`USED`
`0x1`

org.globus.rsl.AbstractRslNode
Modifier and Type
Constant Field
Value
`public static final int`
`AND`
`1`
`public static final int`
`MULTI`
`3`
`public static final int`
`OR`
`2`
org.globus.rsl.ASCII_CharStream
Modifier and Type
Constant Field
Value
`public static final boolean`
`staticFlag`
`false`
org.globus.rsl.NameOpValue
Modifier and Type
Constant Field
Value
`public static final int`
`EQ`
`1`
`public static final int`
`GT`
`3`
`public static final int`
`GTEQ`
`4`
`public static final int`
`LT`
`5`
`public static final int`
`LTEQ`
`6`
`public static final int`
`NEQ`
`2`
org.globus.rsl.RSLParserConstants
Modifier and Type
Constant Field
Value
`public static final int`
`AND`
`12`
`public static final int`
`CHARACTER`
`21`
`public static final int`
`DEFAULT`
`0`
`public static final int`
`DIGIT`
`22`
`public static final int`
`DOUBLE_QUOTED_LITERAL`
`25`
`public static final int`
`EOF`
`0`
`public static final int`
`EQUAL`
`6`
`public static final int`
`GREATER_THAN`
`8`
`public static final int`
`GREATER_THAN_EQUAL`
`9`
`public static final int`
`LESS_THAN`
`10`
`public static final int`
`LESS_THAN_EQUAL`
`11`
`public static final int`
`LPAREN`
`16`
`public static final int`
`MULTI`
`14`
`public static final int`
`NOT_EQUAL`
`7`
`public static final int`
`OR`
`13`
`public static final int`
`OTHER_CHAR`
`23`
`public static final int`
`RPAREN`
`15`
`public static final int`
`SINGLE_QUOTED_LITERAL`
`26`
`public static final int`
`UNQUOTED_LITERAL`
`24`
`public static final int`
`VARIABLES`
`18`
`public static final int`
`VARIABLES_DQUOTE`
`19`
`public static final int`
`VARIABLES_SQUOTE`
`20`
`public static final int`
`VARSTART`
`17`

org.globus.tools.KeyStoreConvert
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ALIAS`
`"globus"`
`public static final String`
`DEFAULT_KEYSTORE_FILE`
`"globus.jks"`
`public static final String`
`DEFAULT_PASSWORD`
`"globus"`
org.globus.tools.ProxyInit
Modifier and Type
Constant Field
Value
`public static final String`
`GENERIC_POLICY_OID`
`"1.3.6.1.4.1.3536.1.1.1.8"`

org.globus.util.ConfigUtil
Modifier and Type
Constant Field
Value
`public static final int`
`MAC_OS`
`2`
`public static final int`
`OTHER_OS`
`3`
`public static final int`
`UNDEFINED_OS`
`-1`
`public static final int`
`UNIX_OS`
`1`
`public static final int`
`WINDOWS_OS`
`0`

org.globus.util.http.HTTPProtocol
Modifier and Type
Constant Field
Value
`public static final String`
`CHUNKED`
`"Transfer-Encoding: chunked"`
`public static final String`
`CHUNKING`
`"Transfer-Encoding: chunked\r\n"`
`public static final String`
`CONNECTION`
`"Connection: "`
`public static final String`
`CONNECTION_CLOSE`
`"Connection: close\r\n"`
`public static final String`
`CONTENT_LENGTH`
`"Content-Length: "`
`public static final String`
`CONTENT_TYPE`
`"Content-Type: "`
`public static final String`
`CRLF`
`"\r\n"`
`public static final String`
`HOST`
`"Host: "`
`public static final String`
`HTTP_VERSION`
`"HTTP/1.1"`
`public static final String`
`LOCATION`
`"Location: "`
`public static final String`
`METHOD`
`"POST "`
`public static final String`
`SERVER`
`"Server: "`
`public static final String`
`USER_AGENT`
`"User-Agent: "`

## org.gridforum.*

org.gridforum.jgss.ExtendedGSSCredential
Modifier and Type
Constant Field
Value
`public static final int`
`IMPEXP_MECH_SPECIFIC`
`1`
`public static final int`
`IMPEXP_OPAQUE`
`0`